#!/usr/bin/perl
use strict;
use warnings;
use Test::More;

use lib 'lib';
use helper;

BEGIN { use_ok( 'SugarTrail::Repo' ); }
require_ok( 'SugarTrail::Repo' );

my $repo = SugarTrail::Repo->new(root => './t/data/strepo', vcs => 'git');
ok($repo,           "repo is true");

my $master = $repo->load_master(source=>'/release/rc.stm');
ok($master,         "master is true");

my ($hc,$bc) = $master->parse();
is($hc, 6,  "parse() reported 6 headers");
is($bc, 13, "parse() reported 13 non-header lines");

my $slave = $master->generate_slave({ proto => "imap", os => "wxx" });
ok($slave,          "slave is true");

&helper::dmup(master=>$master);
&helper::dmup(slave=>$slave);

done_testing();
